BEGIN ~LAUREL~ 96918

IF WEIGHT #4 ~ReputationLT(LastTalkedToBy,8)
NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF WEIGHT #5 ~ReputationLT(LastTalkedToBy,15)
ReputationGT(LastTalkedToBy,7)
NumberOfTimesTalkedTo(0)
~ THEN BEGIN 1
  SAY @1
  IF ~~ THEN REPLY @2 GOTO 3
  IF ~~ THEN REPLY @3 GOTO 4
END

IF WEIGHT #6 ~ReputationGT(LastTalkedToBy,14)
NumberOfTimesTalkedTo(0)
~ THEN BEGIN 2
  SAY @4
  IF ~~ THEN REPLY @2 GOTO 8
  IF ~~ THEN REPLY @3 GOTO 4
END

IF ~~ THEN BEGIN 3
  SAY @5
  IF ~~ THEN DO ~SetInterrupt(FALSE)
Wait(3)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
Wait(15)
SetNumTimesTalkedTo(10)
SetInterrupt(TRUE)
~ JOURNAL @6 EXIT
END

IF ~~ THEN BEGIN 4
  SAY @7
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF WEIGHT #0 ~False()
~ THEN BEGIN 5
  SAY @8
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 6
  SAY @9
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~NumberOfTimesTalkedTo(10)
~ THEN BEGIN 7
  SAY @10
  IF ~~ THEN DO ~AddexperienceParty(250)
SetGlobal("HelpLaurel","GLOBAL",1)
EscapeArea()
~ JOURNAL @11 EXIT
END

IF ~~ THEN BEGIN 8
  SAY @12
  IF ~~ THEN DO ~SetInterrupt(FALSE)
Wait(3)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
CreateCreature("GIBBER",[954.938],0)
Wait(15)
SetNumTimesTalkedTo(10)
SetInterrupt(TRUE)
~ JOURNAL @13 EXIT
END

IF WEIGHT #3 ~NumberOfTimesTalkedTo(11)
~ THEN BEGIN 9
  SAY @14
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END
